Bug 1889920 - No sound in video using Firefox
Summary: No sound in video using Firefox
Keywords:
Status: NEW
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: firefox
Version: 6.10
Hardware: All
OS: Linux
unspecified
high
Target Milestone: rc
: ---
Assignee: Jan Horak
QA Contact: Desktop QE
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-10-20 22:44 UTC by Yves Bellefeuille
Modified: 2020-11-05 18:56 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
CentOS 0017767 None None None 2020-10-20 22:44:06 UTC
Red Hat Bugzilla 1835443 unspecified NEW firefox-76.0.1-2 has no sound in google meet 2020-10-20 22:44:06 UTC

Description Yves Bellefeuille 2020-10-20 22:44:07 UTC
Description of problem:

No sound in videos using Firefox.

Version-Release number of selected component (if applicable):

78.3.0-1

Steps to Reproduce:

1. Start Firefox.
2. Watch any video with audio, on Youtube or elsewhere.

Actual results:

No sound heard.

Expected results:

Video's sound is heard.

Additional info:

Confirmed for i686 and x86_64, and for both Flash and HTML 5.

Users report that there's also no voice using Google Voice and Google Hangouts.

See discussion on CentOS's mailing list starting at https://lists.centos.org/pipermail/centos/2020-October/351751.html .

Comment 2 Ozkan Sezer 2020-10-23 17:50:49 UTC
Also see: https://bugs.centos.org/view.php?id=17771

Comment 3 Stephen John Smoogen 2020-10-28 12:29:30 UTC
I have looked at this in a general take. I got a VM installed with EL6 and ran firefox --debug. The errors seem to be

[Child 3570, MediaDecoderStateMachine #1] WARNING: 7fffd72b46d0 OpenCubeb() failed to init cubeb: file /builddir/build/BUILD/firefox-78.3.0/dom/media/AudioStream.cpp, line 331
[Child 3570, MediaDecoderStateMachine #1] WARNING: Decoder=7fffd72cb400 [OnMediaSinkAudioError]: file /builddir/build/BUILD/firefox-78.3.0/dom/media/MediaDecoderStateMachine.cpp, line 3891
[Child 3570, MediaDecoderStateMachine #1] WARNING: Decoder=7fffd72cb400 Decode error: NS_ERROR_DOM_MEDIA_MEDIASINK_ERR (0x806e000b) - OnMediaSinkAudioError: file /builddir/build/BUILD/firefox-78.3.0/dom/media/MediaDecoderStateMachine.cpp, line 3470
[Child 3570, MediaDecoderStateMachine #1] WARNING: 7fffd72b4fc0 OpenCubeb() failed to init cubeb: file /builddir/build/BUILD/firefox-78.3.0/dom/media/AudioStream.cpp, line 331
[Child 3570, MediaDecoderStateMachine #1] WARNING: Decoder=7fffd6edd400 [OnMediaSinkAudioError]: file /builddir/build/BUILD/firefox-78.3.0/dom/media/MediaDecoderStateMachine.cpp, line 3891
[Child 3570, MediaDecoderStateMachine #1] WARNING: Decoder=7fffd6edd400 Decode error: NS_ERROR_DOM_MEDIA_MEDIASINK_ERR (0x806e000b) - OnMediaSinkAudioError: file /builddir/build/BUILD/firefox-78.3.0/dom/media/MediaDecoderStateMachine.cpp, line 3470
[Thread 0x7fffcdcf5700 (LWP 3638) exited]
[Child 3570, MediaDecoderStateMachine #1] WARNING: 7fffd72b5160 OpenCubeb() failed to init cubeb: file /builddir/build/BUILD/firefox-78.3.0/dom/media/AudioStream.cpp, line 331
[Child 3570, MediaDecoderStateMachine #1] WARNING: Decoder=7fffd6edd400 [OnMediaSinkAudioError]: file /builddir/build/BUILD/firefox-78.3.0/dom/media/MediaDecoderStateMachine.cpp, line 3891
[Child 3570, MediaDecoderStateMachine #1] WARNING: Decoder=7fffd6edd400 Decode error: NS_ERROR_DOM_MEDIA_MEDIASINK_ERR (0x806e000b) - OnMediaSinkAudioError: file /builddir/build/BUILD/firefox-78.3.0/dom/media/MediaDecoderStateMachine.cpp, line 3470

when I try to play sounds from https://hpr.dogphilosophy.net/test/. Looking through the cpp code it looks like it is trying to initialize a pulseaudio stream and expects a much newer version of pulse than is shipped in RHEL-6. The differences in code between 68 and 78 in the cubeb module are very large and I am not sure I could debug this any further without a lot of study. Things which it does not seem to be:
1. selinux (having selinux on or off does not change anything)
2. various environment PULSE_* variables being set or unset.
3. Turning on MOZ_DISABLE_CONTENT_SANDBOX (supposedly fixed this for someone in an earlier Firefox)


Note You need to log in before you can comment on or make changes to this bug.